---
title: SVGDefsElement
slug: Web/API/SVGDefsElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGDefsElement</code></strong> interface corresponds to the {{SVGElement("defs")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface doesn't implement any specific properties, but inherits properties from its parent, {{domxref("SVGGraphicsElement")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits properties from its parent, {{domxref("SVGGraphicsElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "struct.html#InterfaceSVGDefsElement", "SVGDefsElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Replaced the inheritance from {{domxref("SVGElement")}}{{domxref("SVGTests")}}, {{domxref("SVGLangSpace")}}, {{domxref("SVGExternalResourcesRequired")}}, {{domxref("SVGStylable")}}, and {{domxref("SVGTransformable")}} by {{domxref("SVGGraphicsElement")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#InterfaceSVGDefsElement", "SVGDefsElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGDefsElement")}}</p>
